ArcGIS Diagrammer 10.3

32881
35
Jump to solution
12-11-2014 06:53 AM
MichaelGayheart1
New Contributor III

Richie Carmichael

We utilize ArcGIS Diagrammer to maintain all of our GDB designs. After upgrading to 10.3, we can't open ArcGIS Diagrammer. An update supporting 10.3 would be greatly appreciated!

1 Solution

Accepted Solutions
RichieCarmichael
Occasional Contributor III

Hi Michael Gayheart, thank you for your question relating to ArcGIS Diagrammer.  Unfortunately the current version for 10.2 will be final release of Diagrammer.  The reason for this is because Diagrammer uses a third party charting library that is no longer available.  A 10.3 release of Diagrammer would require significant reengineering to support a new charting library.

If you require the capabilities of Diagrammer for future work then you may want to consider maintaining a computer with ArcGIS Desktop 10.2.  Also, if certain capabilities are not available in 10.3 then I would suggest submit these  features to the ArcGIS Ideas site for consideration in future release of ArcGIS.

Hope this helps.

View solution in original post

35 Replies
RichieCarmichael
Occasional Contributor III

Hi Michael Gayheart, thank you for your question relating to ArcGIS Diagrammer.  Unfortunately the current version for 10.2 will be final release of Diagrammer.  The reason for this is because Diagrammer uses a third party charting library that is no longer available.  A 10.3 release of Diagrammer would require significant reengineering to support a new charting library.

If you require the capabilities of Diagrammer for future work then you may want to consider maintaining a computer with ArcGIS Desktop 10.2.  Also, if certain capabilities are not available in 10.3 then I would suggest submit these  features to the ArcGIS Ideas site for consideration in future release of ArcGIS.

Hope this helps.

View solution in original post

JoshuaBixby
MVP Esteemed Contributor

Richie Carmichael‌, I don't recall seeing any comments or documentation about Diagrammer being retired at 10.2.  Did I miss it somewhere?

ToddLaQuay
New Contributor III

I downgraded one of our systems back to ArcGIS v 10.2 from v10.3 in hopes of being able to use Diagrammer again and it throws the same error still of Microsoft.Net Framework. Unhandled exception error has occurred in your application.  The type initializer for "ESRI.ArcGIS.DiagrammerEnvironment" threw an exception. Telling it to continue anyways opens a blank windows.  Is there a way to correct this so we can use Diagrammer again?

0 Kudos
RichieCarmichael
Occasional Contributor III

Hi Todd, please check that the computer has Microsoft .NET Framework 3.5 Service Pack 1.

Download Microsoft .NET Framework 3.5 Service Pack 1 from Official Microsoft Download Center

0 Kudos
ToddLaQuay
New Contributor III

We confirmed that we have Microsoft .NET Framework 3.5 SP1 installed on the machine running Windows 7 and ArcGIS v10.2.2.  The machine also has Microsoft .NET Framework 4.5.1 installed. It still encounters the same error though when we try to run the program

0 Kudos
RichieCarmichael
Occasional Contributor III

Hi Todd, could you message me a screenshot of the error and/or any text in the error window. Thanks, Richie.

0 Kudos
ToddLaQuay
New Contributor III

Attached is a Word file with the screen shot and all of the text in the error message details. Thank you for your help.

SNI-GIS<https://sni.org/departments/gis-department/>

0 Kudos
RichieCarmichael
Occasional Contributor III

Hi Todd, you might be using ArcGIS Diagrammer for 9.2 rather than ArcGIS Diagrammer for 10.2.  Can you verify that you are using the correct install?

0 Kudos
ToddLaQuay
New Contributor III

Oh thats embarrassing, I got the 2 files mixed up in our downloads.  Thank you for your help.

0 Kudos